const voteButtons = document.querySelectorAll('.vote-btn');
const voteChart = document.getElementById('voteChart').getContext('2d');

let voteData = {
  paris: 0,
  tokyo: 0,
  'new-york': 0,
  sydney: 0
};

voteButtons.forEach(button => {
  button.addEventListener('click', () => {
    const destination = button.closest('.destination-card').dataset.destination;
    voteData[destination]++;
    updateChart();
  });
});

function updateChart() {
  const chart = new Chart(voteChart, {
    type: 'bar',
    data: {
      labels: ['Paris', 'Tokyo', 'New York', 'Sydney'],
      datasets: [{
        label: 'Votes',
        data: [voteData.paris, voteData.tokyo, voteData['new-york'], voteData.sydney],
        backgroundColor: [
          '#1a73e8',
          '#34a853',
          '#fbbc05',
          '#ea4335'
        ],
        borderWidth: 1
      }]
    },
    options: {
      scales: {
        y: {
          beginAtZero: true
        }
      },
      responsive: true,
      maintainAspectRatio: false
    }
  });
}